Name:           jag
Version:        0.3.8
Release:        %mkrel 2
Summary:        Arcade and puzzle 2D game in which you have to break all the target pieces
# README say "under the GPL" so that's quite vague
License:        GPLv3+
Group:          Games/Puzzles
URL:            https://gitlab.com/coringao/jag
# New repo: https://gitlab.com/coringao/jag
Source0:        https://gitlab.com/coringao/jag/-/archive/%{version}/%{name}-%{version}.tar.gz
# taken from previous 0.3.3 source tarball
Source1:        jag-dist.tar.xz
Patch0:         jag-0.3.8-install-dist.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(xrandr)
Requires:       %{name}-data >= %{version}

%description
The aim of JAG is to break all of the target pieces on each level,
and to do this before the time runs out. Keep doing this until you
have beaten the last level and won the game.

%files
%doc README.md
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-editor
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/256x256/apps/%{name}.png

#----------------------------------------------------------------------

%package data
Summary:        Data files for the JAG game
Group:          Games/Puzzles
BuildArch:      noarch

%description data
This package contains data files for the JAG game.

%files data
%{_gamesdatadir}/%{name}/

#----------------------------------------------------------------------

%prep
%autosetup -p1 -a 1

%build
%qmake_qt5
%make_build

pushd src/editor
%qmake_qt5
%make_build
popd

%install
%make_install INSTALL_ROOT=%{buildroot}
%make_install -C src/editor INSTALL_ROOT=%{buildroot}


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.3.8-2.mga8
+ Revision: 1658594
- Rebuild for new Qt5

* Tue Nov 03 2020 akien <akien> 0.3.8-1.mga8
+ Revision: 1642213
- Version 0.3.8

* Fri Feb 21 2020 umeabot <umeabot> 0.3.5-2.mga8
+ Revision: 1547795
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 daviddavid <daviddavid> 0.3.5-1.mga8
+ Revision: 1488411
- new version: 0.3.5
- update URL and Source URL
- switch to sdl2
- add extra source for desktop, appdata and icon files
- re-enable jag-editor

* Sat Mar 30 2019 umeabot <umeabot> 0.3.3-3.mga7
+ Revision: 1381939
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.3.3-2.mga7
+ Revision: 1298347
- Mageia 7 Mass Rebuild

* Sat Oct 08 2016 akien <akien> 0.3.3-1.mga6
+ Revision: 1059685
- Version 0.3.3 (upstreams our packaging work)

* Mon Feb 15 2016 umeabot <umeabot> 0.3.2-2.dev.2.mga6
+ Revision: 960703
- Mageia 6 Mass Rebuild
+ akien <akien>
- WIP version with initial Qt5 support

* Tue Jul 21 2015 akien <akien> 0.3.2-1.mga6
+ Revision: 855883
- Version 0.3.2
- Split data into a noarch subpackage
- Build and package the map editor
- Move binary and game data to proper game paths
+ dmorgan <dmorgan>
- imported package jag


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-2mdv2011.0
+ Revision: 612437
- the mass rebuild of 2010.1 packages

* Thu Feb 25 2010 Michael Scherer <misc@mandriva.org> 0.3.1-1mdv2010.1
+ Revision: 511258
- comment patch to explain why it is not sent upstream
- fix License tag
- adapt and clean rpm from MIB


* Sat Feb 13 2010 Andrey Bondrov <bondrov@math.dvgu.ru> 0.3.1-69.1mib2009.1
- New version 0.3.1
- Clean up and fix spec
- Add patch0 to fix path from usr/local to usr
- MIB (Mandriva Italia Backport) - http://mib.pianetalinux.org

* Thu Oct 15 2009 Beppe Florin <symbianflo@fastwebnet.it>  0.2.6-69.1mib2009.1
- New release
- MIB (Mandriva Italia Backport) - http://mib.pianetalinux.org

* Sun Aug 09 2009 Alberto Altieri <alberto.altieri@gmail.com> 0.2.5-69.1mib2009.1
- First version/release for MIB users
- MIB (Mandriva Italia Backport) new optimized

* Sun Jul 12 2009 Fr. Br. George <george@altlinux.ru> 0.2.3-alt1
- Initial build from scratch
